Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.enterprise.ee.cms.core
Enum GroupManagementService.RECOVERY_STATE

    java.lang.Object
      java.lang.Enum<GroupManagementService.RECOVERY_STATE>
          com.sun.enterprise.ee.cms.core.GroupManagementService.RECOVERY_STATE

All Implemented Interfaces:
  Serializable, Comparable<GroupManagementService.RECOVERY_STATE>

Enclosing interface:
  GroupManagementService

    public static enum GroupManagementService.RECOVERY_STATE

extends Enum<GroupManagementService.RECOVERY_STATE>

These are possible recovery states used by GMS's recovery selection and failure fencing functions

Enum Constant Summary
`RECOVERY_IN_PROGRESS`
`RECOVERY_SERVER_APPOINTED`

Method Summary
`static GroupManagementService.RECOVERY_STATE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GroupManagementService.RECOVERY_STATE[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RECOVERY_SERVER_APPOINTED

    public static final GroupManagementService.RECOVERY_STATE RECOVERY_SERVER_APPOINTED

### RECOVERY_IN_PROGRESS

    public static final GroupManagementService.RECOVERY_STATE RECOVERY_IN_PROGRESS

Method Detail

### values

    public static final GroupManagementService.RECOVERY_STATE[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GroupManagementService.RECOVERY_STATE c : GroupManagementService.RECOVERY_STATE.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GroupManagementService.RECOVERY_STATE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.